none
Error trying to install Exchange Server 2007 SP3 - "The upgrade patch cannot be installed..." RRS feed

  • Question

  • I wonder if anyone could help me with an Installer message while trying to install SP3 for Exchange 2007. I have a server 2003 Sp2 with Exchange 2007 SP1  CU 10 installed, but when i try to install SP3 i get the following error...

    "The upgrade patch cannot be installed by the Windows installer service because the program to be upgraded may be missing, or the upgrade patch may update a different version of the program. Verify that the program to be upgraded exists on your computer and that you have the correct upgrade patch."

    Any help with this would be appreciated

    Many thanks

    Neil

    Wednesday, June 26, 2019 10:24 AM

All replies

  • I wonder if anyone could help me with an Installer message while trying to install SP3 for Exchange 2007. I have a server 2003 Sp2 with Exchange 2007 SP1  CU 10 installed, but when i try to install SP3 i get the following error...

    "The upgrade patch cannot be installed by the Windows installer service because the program to be upgraded may be missing, or the upgrade patch may update a different version of the program. Verify that the program to be upgraded exists on your computer and that you have the correct upgrade patch."

    Any help with this would be appreciated

    Many thanks

    Neil

    2007 is way out of support but make sure you are installing the 64 bit SP3 and not 32 bit.
    Wednesday, June 26, 2019 11:12 AM
    Moderator
  • I am using the 64bit version of SP3 which is giving the error.
    Wednesday, June 26, 2019 2:44 PM
  • You don't have anything in the Updates folder in the setup files, do you?  You can't apply an update rollup with an upgrade, only with a new installation.

    Ed Crowley MVP "There are seldom good technological solutions to behavioral problems."
    Celebrating 20 years of providing Exchange peer support!

    Thursday, June 27, 2019 7:05 AM
    Moderator
  • Hi Ed, i'm not sure what you mean. I basically need to update Exchange 2007 to Sp3 so i can introduce Exchange server 2010/13 into the organisation. I've only installed my Exchaneg RTM version with update rollup 7. Is there a way to patch up to SP3  from RTM version?
    Thursday, June 27, 2019 8:49 AM
  • That should work.  I can't tell you why it doesn't.

    Ed Crowley MVP "There are seldom good technological solutions to behavioral problems."
    Celebrating 20 years of providing Exchange peer support!


    Thursday, June 27, 2019 3:48 PM
    Moderator
  • Try installing all windows latest patches before Sp3. See if you are on the required CU update to upgrade to SP3.

    Please mark as an answer if this answers your question .

    PREM RANA

    MCSE Exchange 2013, MCSA 2012 Server MCTS Exchange 2007,

    2010, MCITP Exchange 2007, 2010 MCSE 2003 Server,

    MCSA Exchange 2003 ITIL V3 Foundation

    https://ranaprem.wordpress.com/

    This posting is provided AS IS with no warranties and confers no rights.

    Tuesday, October 1, 2019 2:37 PM